Install config gem for settings management
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.1)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.2)
8       actionpack (= 5.2.2)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.2)
12       actionpack (= 5.2.2)
13       actionview (= 5.2.2)
14       activejob (= 5.2.2)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.2)
18       actionview (= 5.2.2)
19       activesupport (= 5.2.2)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.1)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.2)
27       activesupport (= 5.2.2)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     active_record_union (1.3.0)
33       activerecord (>= 4.0)
34     activejob (5.2.2)
35       activesupport (= 5.2.2)
36       globalid (>= 0.3.6)
37     activemodel (5.2.2)
38       activesupport (= 5.2.2)
39     activerecord (5.2.2)
40       activemodel (= 5.2.2)
41       activesupport (= 5.2.2)
42       arel (>= 9.0)
43     activestorage (5.2.2)
44       actionpack (= 5.2.2)
45       activerecord (= 5.2.2)
46       marcel (~> 0.3.1)
47     activesupport (5.2.2)
48       concurrent-ruby (~> 1.0, >= 1.0.2)
49       i18n (>= 0.7, < 2)
50       minitest (~> 5.1)
51       tzinfo (~> 1.1)
52     addressable (2.6.0)
53       public_suffix (>= 2.0.2, < 4.0)
54     annotate (2.7.4)
55       activerecord (>= 3.2, < 6.0)
56       rake (>= 10.4, < 13.0)
57     arel (9.0.0)
58     ast (2.4.0)
59     autoprefixer-rails (8.6.5)
60       execjs
61     better_errors (2.5.1)
62       coderay (>= 1.0.0)
63       erubi (>= 1.0.0)
64       rack (>= 0.9.0)
65     bigdecimal (1.1.0)
66     binding_of_caller (0.8.0)
67       debug_inspector (>= 0.0.1)
68     bootsnap (1.4.0)
69       msgpack (~> 1.0)
70     browser (2.5.3)
71     builder (3.2.3)
72     cancancan (2.3.0)
73     canonical-rails (0.2.5)
74       rails (>= 4.1, < 6.1)
75     capybara (2.18.0)
76       addressable
77       mini_mime (>= 0.1.3)
78       nokogiri (>= 1.3.3)
79       rack (>= 1.0.0)
80       rack-test (>= 0.5.4)
81       xpath (>= 2.0, < 4.0)
82     climate_control (0.2.0)
83     cliver (0.3.2)
84     coderay (1.1.2)
85     coffee-rails (4.2.2)
86       coffee-script (>= 2.2.0)
87       railties (>= 4.0.0)
88     coffee-script (2.4.1)
89       coffee-script-source
90       execjs
91     coffee-script-source (1.12.2)
92     composite_primary_keys (11.1.0)
93       activerecord (~> 5.2.1)
94     concurrent-ruby (1.1.4)
95     config (1.7.1)
96       activesupport (>= 3.0)
97       deep_merge (~> 1.2.1)
98       dry-validation (>= 0.12.2)
99     coveralls (0.8.22)
100       json (>= 1.8, < 3)
101       simplecov (~> 0.16.1)
102       term-ansicolor (~> 1.3)
103       thor (~> 0.19.4)
104       tins (~> 1.6)
105     crack (0.4.3)
106       safe_yaml (~> 1.0.0)
107     crass (1.0.4)
108     dalli (2.7.9)
109     debug_inspector (0.0.3)
110     deep_merge (1.2.1)
111     delayed_job (4.1.5)
112       activesupport (>= 3.0, < 5.3)
113     delayed_job_active_record (4.1.3)
114       activerecord (>= 3.0, < 5.3)
115       delayed_job (>= 3.0, < 5)
116     docile (1.3.1)
117     dry-configurable (0.8.2)
118       concurrent-ruby (~> 1.0)
119       dry-core (~> 0.4, >= 0.4.7)
120     dry-container (0.7.0)
121       concurrent-ruby (~> 1.0)
122       dry-configurable (~> 0.1, >= 0.1.3)
123     dry-core (0.4.7)
124       concurrent-ruby (~> 1.0)
125     dry-equalizer (0.2.2)
126     dry-inflector (0.1.2)
127     dry-logic (0.5.0)
128       dry-container (~> 0.2, >= 0.2.6)
129       dry-core (~> 0.2)
130       dry-equalizer (~> 0.2)
131     dry-types (0.14.0)
132       concurrent-ruby (~> 1.0)
133       dry-container (~> 0.3)
134       dry-core (~> 0.4, >= 0.4.4)
135       dry-equalizer (~> 0.2)
136       dry-inflector (~> 0.1, >= 0.1.2)
137       dry-logic (~> 0.5, >= 0.5)
138     dry-validation (0.13.0)
139       concurrent-ruby (~> 1.0)
140       dry-configurable (~> 0.1, >= 0.1.3)
141       dry-core (~> 0.2, >= 0.2.1)
142       dry-equalizer (~> 0.2)
143       dry-logic (~> 0.5, >= 0.5.0)
144       dry-types (~> 0.14, >= 0.14)
145     dynamic_form (1.1.4)
146     erubi (1.8.0)
147     execjs (2.7.0)
148     exifr (1.3.6)
149     factory_bot (5.0.0)
150       activesupport (>= 4.2.0)
151     factory_bot_rails (5.0.1)
152       factory_bot (~> 5.0.0)
153       railties (>= 4.2.0)
154     fakefs (0.19.1)
155     faraday (0.15.4)
156       multipart-post (>= 1.2, < 3)
157     ffi (1.9.25)
158     fspath (3.1.0)
159     gd2-ffij (0.3.0)
160       ffi (>= 1.0.0)
161     geoip (1.6.4)
162     globalid (0.4.2)
163       activesupport (>= 4.2.0)
164     hashdiff (0.3.8)
165     hashie (3.6.0)
166     htmlentities (4.3.4)
167     http_accept_language (2.0.5)
168     i18n (0.9.5)
169       concurrent-ruby (~> 1.0)
170     i18n-js (3.2.1)
171       i18n (>= 0.6.6)
172     image_optim (0.26.3)
173       exifr (~> 1.2, >= 1.2.2)
174       fspath (~> 3.0)
175       image_size (>= 1.5, < 3)
176       in_threads (~> 1.3)
177       progress (~> 3.0, >= 3.0.1)
178     image_optim_rails (0.4.1)
179       image_optim (~> 0.24)
180       rails
181       sprockets
182     image_size (2.0.0)
183     in_threads (1.5.1)
184     jaro_winkler (1.5.2)
185     jquery-rails (4.3.3)
186       rails-dom-testing (>= 1, < 3)
187       railties (>= 4.2.0)
188       thor (>= 0.14, < 2.0)
189     jshint (1.5.0)
190       execjs (>= 1.4.0)
191       multi_json (~> 1.0)
192       therubyracer (~> 0.12.1)
193     json (2.1.0)
194     jsonify (0.3.1)
195       multi_json (~> 1.0)
196     jsonify-rails (0.3.2)
197       actionpack
198       jsonify (< 0.4.0)
199     jwt (2.1.0)
200     kgio (2.11.2)
201     kramdown (2.1.0)
202     libv8 (3.16.14.19)
203     libxml-ruby (3.1.0)
204     listen (3.1.5)
205       rb-fsevent (~> 0.9, >= 0.9.4)
206       rb-inotify (~> 0.9, >= 0.9.7)
207       ruby_dep (~> 1.2)
208     logstash-event (1.2.02)
209     logstasher (1.3.0)
210       activesupport (>= 4.0)
211       logstash-event (~> 1.2.0)
212       request_store
213     loofah (2.2.3)
214       crass (~> 1.0.2)
215       nokogiri (>= 1.5.9)
216     mail (2.7.1)
217       mini_mime (>= 0.1.1)
218     marcel (0.3.3)
219       mimemagic (~> 0.3.2)
220     method_source (0.9.2)
221     mime-types (3.2.2)
222       mime-types-data (~> 3.2015)
223     mime-types-data (3.2018.0812)
224     mimemagic (0.3.3)
225     mini_mime (1.0.1)
226     mini_portile2 (2.4.0)
227     minitest (5.11.3)
228     msgpack (1.2.6)
229     multi_json (1.13.1)
230     multi_xml (0.6.0)
231     multipart-post (2.0.0)
232     nio4r (2.3.1)
233     nokogiri (1.10.1)
234       mini_portile2 (~> 2.4.0)
235     nokogumbo (2.0.1)
236       nokogiri (~> 1.8, >= 1.8.4)
237     oauth (0.4.7)
238     oauth-plugin (0.5.1)
239       multi_json
240       oauth (~> 0.4.4)
241       oauth2 (>= 0.5.0)
242       rack
243     oauth2 (1.4.1)
244       faraday (>= 0.8, < 0.16.0)
245       jwt (>= 1.0, < 3.0)
246       multi_json (~> 1.3)
247       multi_xml (~> 0.5)
248       rack (>= 1.2, < 3)
249     omniauth (1.9.0)
250       hashie (>= 3.4.6, < 3.7.0)
251       rack (>= 1.6.2, < 3)
252     omniauth-facebook (5.0.0)
253       omniauth-oauth2 (~> 1.2)
254     omniauth-github (1.3.0)
255       omniauth (~> 1.5)
256       omniauth-oauth2 (>= 1.4.0, < 2.0)
257     omniauth-google-oauth2 (0.6.0)
258       jwt (>= 2.0)
259       omniauth (>= 1.1.1)
260       omniauth-oauth2 (>= 1.5)
261     omniauth-mediawiki (0.0.4)
262       jwt (~> 2.0)
263       omniauth-oauth (~> 1.0)
264     omniauth-oauth (1.1.0)
265       oauth
266       omniauth (~> 1.0)
267     omniauth-oauth2 (1.6.0)
268       oauth2 (~> 1.1)
269       omniauth (~> 1.9)
270     omniauth-openid (1.0.1)
271       omniauth (~> 1.0)
272       rack-openid (~> 1.3.1)
273     omniauth-windowslive (0.0.12)
274       multi_json (~> 1.12)
275       omniauth-oauth2 (~> 1.4)
276     openstreetmap-deadlock_retry (1.3.0)
277     paperclip (5.3.0)
278       activemodel (>= 4.2.0)
279       activesupport (>= 4.2.0)
280       mime-types
281       mimemagic (~> 0.3.0)
282       terrapin (~> 0.6.0)
283     parallel (1.13.0)
284     parser (2.6.0.0)
285       ast (~> 2.4.0)
286     pg (0.21.0)
287     poltergeist (1.18.1)
288       capybara (>= 2.1, < 4)
289       cliver (~> 0.3.1)
290       websocket-driver (>= 0.2.0)
291     powerpack (0.1.2)
292     progress (3.5.0)
293     psych (3.1.0)
294     public_suffix (3.0.3)
295     puma (3.12.0)
296     quad_tile (1.0.1)
297     r2 (0.2.7)
298     rack (2.0.6)
299     rack-cors (1.0.2)
300     rack-openid (1.3.1)
301       rack (>= 1.1.0)
302       ruby-openid (>= 2.1.8)
303     rack-test (1.1.0)
304       rack (>= 1.0, < 3)
305     rack-uri_sanitizer (0.0.2)
306     rails (5.2.2)
307       actioncable (= 5.2.2)
308       actionmailer (= 5.2.2)
309       actionpack (= 5.2.2)
310       actionview (= 5.2.2)
311       activejob (= 5.2.2)
312       activemodel (= 5.2.2)
313       activerecord (= 5.2.2)
314       activestorage (= 5.2.2)
315       activesupport (= 5.2.2)
316       bundler (>= 1.3.0)
317       railties (= 5.2.2)
318       sprockets-rails (>= 2.0.0)
319     rails-controller-testing (1.0.4)
320       actionpack (>= 5.0.1.x)
321       actionview (>= 5.0.1.x)
322       activesupport (>= 5.0.1.x)
323     rails-dom-testing (2.0.3)
324       activesupport (>= 4.2.0)
325       nokogiri (>= 1.6)
326     rails-html-sanitizer (1.0.4)
327       loofah (~> 2.2, >= 2.2.2)
328     rails-i18n (4.0.2)
329       i18n (~> 0.6)
330       rails (>= 4.0)
331     railties (5.2.2)
332       actionpack (= 5.2.2)
333       activesupport (= 5.2.2)
334       method_source
335       rake (>= 0.8.7)
336       thor (>= 0.19.0, < 2.0)
337     rainbow (3.0.0)
338     rake (12.3.2)
339     rb-fsevent (0.10.3)
340     rb-inotify (0.10.0)
341       ffi (~> 1.0)
342     record_tag_helper (1.0.0)
343       actionview (~> 5.x)
344     ref (2.0.0)
345     request_store (1.4.1)
346       rack (>= 1.4)
347     rinku (2.0.4)
348     rotp (4.0.2)
349       addressable (~> 2.5)
350     rubocop (0.64.0)
351       jaro_winkler (~> 1.5.1)
352       parallel (~> 1.10)
353       parser (>= 2.5, != 2.5.1.1)
354       powerpack (~> 0.1)
355       rainbow (>= 2.2.2, < 4.0)
356       ruby-progressbar (~> 1.7)
357       unicode-display_width (~> 1.4.0)
358     ruby-openid (2.7.0)
359     ruby-progressbar (1.10.0)
360     ruby_dep (1.5.0)
361     safe_yaml (1.0.4)
362     sanitize (5.0.0)
363       crass (~> 1.0.2)
364       nokogiri (>= 1.8.0)
365       nokogumbo (~> 2.0)
366     sassc (2.0.0)
367       ffi (~> 1.9.6)
368       rake
369     sassc-rails (2.1.0)
370       railties (>= 4.0.0)
371       sassc (>= 2.0)
372       sprockets (> 3.0)
373       sprockets-rails
374       tilt
375     secure_headers (6.0.0)
376     simplecov (0.16.1)
377       docile (~> 1.1)
378       json (>= 1.8, < 3)
379       simplecov-html (~> 0.10.0)
380     simplecov-html (0.10.2)
381     sprockets (3.7.2)
382       concurrent-ruby (~> 1.0)
383       rack (> 1, < 3)
384     sprockets-rails (3.2.1)
385       actionpack (>= 4.0)
386       activesupport (>= 4.0)
387       sprockets (>= 3.0.0)
388     term-ansicolor (1.7.1)
389       tins (~> 1.0)
390     terrapin (0.6.0)
391       climate_control (>= 0.0.3, < 1.0)
392     therubyracer (0.12.3)
393       libv8 (~> 3.16.14.15)
394       ref
395     thor (0.19.4)
396     thread_safe (0.3.6)
397     tilt (2.0.9)
398     tins (1.20.2)
399     tzinfo (1.2.5)
400       thread_safe (~> 0.1)
401     uglifier (4.1.20)
402       execjs (>= 0.3.0, < 3)
403     unicode-display_width (1.4.1)
404     validates_email_format_of (1.6.3)
405       i18n
406     vendorer (0.2.0)
407     webmock (3.5.1)
408       addressable (>= 2.3.6)
409       crack (>= 0.3.2)
410       hashdiff
411     websocket-driver (0.7.0)
412       websocket-extensions (>= 0.1.0)
413     websocket-extensions (0.1.3)
414     xpath (3.2.0)
415       nokogiri (~> 1.8)
416
417 PLATFORMS
418   ruby
419
420 DEPENDENCIES
421   SystemTimer (>= 1.1.3)
422   aasm
423   actionpack-page_caching
424   active_record_union
425   annotate
426   autoprefixer-rails (~> 8.6.3)
427   better_errors
428   bigdecimal (~> 1.1.0)
429   binding_of_caller
430   bootsnap (>= 1.1.0)
431   browser
432   cancancan
433   canonical-rails
434   capybara (~> 2.13)
435   coffee-rails (~> 4.2)
436   composite_primary_keys (~> 11.1.0)
437   config
438   coveralls
439   dalli
440   delayed_job_active_record
441   dynamic_form
442   factory_bot_rails
443   fakefs
444   faraday
445   gd2-ffij
446   geoip
447   htmlentities
448   http_accept_language (~> 2.0.0)
449   i18n-js (>= 3.0.0)
450   image_optim_rails
451   jquery-rails
452   jshint
453   json
454   jsonify-rails
455   kgio
456   kramdown
457   libxml-ruby (>= 2.0.5)
458   listen
459   logstasher
460   minitest (~> 5.1)
461   oauth-plugin (>= 0.5.1)
462   omniauth
463   omniauth-facebook
464   omniauth-github
465   omniauth-google-oauth2 (>= 0.6.0)
466   omniauth-mediawiki (>= 0.0.4)
467   omniauth-openid
468   omniauth-windowslive
469   openstreetmap-deadlock_retry (>= 1.3.0)
470   paperclip (~> 5.2)
471   pg (~> 0.18)
472   poltergeist
473   psych
474   puma (~> 3.7)
475   quad_tile (~> 1.0.1)
476   r2 (~> 0.2.7)
477   rack-cors
478   rack-uri_sanitizer
479   rails (= 5.2.2)
480   rails-controller-testing
481   rails-i18n (~> 4.0.0)
482   record_tag_helper
483   rinku (= 2.0.4)
484   rotp
485   rubocop
486   sanitize
487   sassc-rails
488   secure_headers
489   uglifier (>= 1.3.0)
490   validates_email_format_of (>= 1.5.1)
491   vendorer
492   webmock
493
494 BUNDLED WITH
495    1.16.2